Summary:   A popular and easy to use graphical IRC (chat) client
Name:      xchat
Version:   2.8.8
Release:   1
Group:     Applications/Internet
License:   GPLv2+
URL:       http://www.xchat.org
Source0:   http://www.xchat.org/files/source/2.8/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

# Patches 0-9 reserved for official xchat.org patches

Patch10:   %{name}-%{version}-aix.patch
# patch to add ability to change to tab with most recent activity
# See http://sourceforge.net/tracker/?func=detail&aid=2022871&group_id=239&atid=350239
Patch50: xchat-2.8.6-change-page-activity.patch
# add port numbers for Freenode (Debarshi Ray)
Patch51: xchat-2.8.6-freenode-ports.patch

BuildRequires: bison >= 1.35
BuildRequires: patch
BuildRequires: pkg-config

BuildRequires: glib2-devel >= 2.22.4
BuildRequires: gtk2-devel >= 2.18.5
BuildRequires: gettext-devel >= 0.17
BuildRequires: libntlm-devel >= 1.1
BuildRequires: openssl-devel >= 0.9.8
BuildRequires: pango-devel >= 1.24.5
BuildRequires: python-devel >= 2.6.2
BuildRequires: tcl-devel >= 8.5.8

Requires: glib2 >= 2.22.4
Requires: gtk2 >= 2.18.5
Requires: gettext >= 0.17
Requires: libntlm >= 1.1 
Requires: openssl >= 0.9.8
Requires: pango >= 1.24.5
Requires: python >= 2.6.2

%description
X-Chat is an easy to use graphical IRC chat client for the X Window System.
It allows you to join multiple IRC channels (chat rooms) at the same time, 
talk publicly, private one-on-one conversations etc. Even file transfers
are possible.

This includes the plugins to run the Python scripts.


%package tcl
Summary: Tcl script plugin for X-Chat
Group: Applications/Internet
Requires: %{name} = %{version}-%{release}
Requires: tcl >= 8.5.8

%description tcl
This package contains the X-Chat plugin providing the Tcl scripting interface.


%prep
%setup -q
%patch10
export PATH=/opt/freeware/bin:$PATH
%patch50 -p1 -b .active-channel-switch
%patch51 -p1 -b .freenode-ports


%build
# for gtk2 we need this compiler
export CC="xlc_r"

# we need run-time-linking to successfully load plugins
export LDFLAGS="-L/opt/freeware/lib -Wl,-bmaxdata:0x80000000 -Wl,-brtl"

./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static \
    --enable-threads=posix \
    --enable-ipv6 \
    --enable-openssl=/opt/freeware \
    --enable-gtkfe \
    --enable-textfe \
    --enable-python \
    --disable-perl \
    --enable-tcl=%{_libdir} \
    --disable-dbus \
    --enable-shm \
    --enable-spell=static \
    --enable-ntlm

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

mkdir -p ${RPM_BUILD_ROOT}/etc/X11/applnk/Graphics
mv $RPM_BUILD_ROOT%{_datadir}/applications/xchat.desktop \
   ${RPM_BUILD_ROOT}/etc/X11/applnk/Graphics/%{name}.desktop
chmod 0644 ${RPM_BUILD_ROOT}/etc/X11/applnk/Graphics/%{name}.desktop

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc README ChangeLog
%doc plugins/plugin20.html
%{_bindir}/*
%attr(0644,root,system) /etc/X11/applnk/Graphics/%{name}.desktop
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/python.so
%{_datadir}/locale/*/*/*
%{_datadir}/pixmaps/*
/usr/bin/*


%files tcl
%defattr(-,root,system)
%{_libdir}/%{name}/plugins/tcl.so


%changelog
* Mon Jun 07 2010 Michael Perzl <michael@perzl.org> - 2.8.8-1
- first version for AIX V5.1 and higher
